<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title t(:label_administration), t(:'menus.admin.aggregation') -%>

<%= toolbar title: t(:'menus.admin.aggregation') %>

<%= styled_form_tag(admin_settings_aggregation_path, method: :patch) do %>
  <div class="form--field">
    <%= setting_number_field :journal_aggregation_time_minutes,
                             unit: t(:label_minute_plural),
                             min: 0,
                             container_class: '-xslim' %>
    <span class="form--field-instructions">
      <%= t(:'admin.journal_aggregation.explanation.text',
            webhook_link: link_to(t(:'admin.journal_aggregation.explanation.link'),
                                  admin_outgoing_webhooks_path,
                                  target: '_blank')).html_safe %>
      <br/>
      <%= t(:text_hint_disable_with_0) %>
    </span>
  </div>

  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
